acp_bbcodes_actions_append
===
* Location: adm/style/acp_bbcodes.html
* Since: 3.1.0-a3
* Purpose: Add actions to the BBCodes page, after edit/delete buttons

acp_bbcodes_actions_prepend
===
* Location: adm/style/acp_bbcodes.html
* Since: 3.1.0-a3
* Purpose: Add actions to the BBCodes page, before edit/delete buttons

acp_bbcodes_edit_fieldsets_after
===
* Location: adm/style/acp_bbcodes.html
* Since: 3.1.0-a3
* Purpose: Add settings to BBCode add/edit form

acp_email_options_after
===
* Location: adm/style/acp_email.html
* Since: 3.1.2-RC1
* Purpose: Add settings to mass email form

acp_forums_main_settings_append
===
* Location: adm/style/acp_forums.html
* Since: 3.1.2-RC1
* Purpose: Add settings to forums at end of main settings section

acp_forums_main_settings_prepend
===
* Location: adm/style/acp_forums.html
* Since: 3.1.2-RC1
* Purpose: Add settings to forums before main settings section

acp_forums_normal_settings_append
===
* Location: adm/style/acp_forums.html
* Since: 3.1.0-a1
* Purpose: Add settings to forums at end of normal settings section

acp_forums_normal_settings_prepend
===
* Location: adm/style/acp_forums.html
* Since: 3.1.2-RC1
* Purpose: Add settings to forums before normal settings section

acp_forums_prune_settings_append
===
* Location: adm/style/acp_forums.html
* Since: 3.1.2-RC1
* Purpose: Add settings to forums at end of prune settings section

acp_forums_prune_settings_prepend
===
* Location: adm/style/acp_forums.html
* Since: 3.1.2-RC1
* Purpose: Add settings to forums before prune settings section

acp_forums_rules_settings_append
===
* Location: adm/style/acp_forums.html
* Since: 3.1.2-RC1
* Purpose: Add settings to forums at end of rules settings section

acp_forums_rules_settings_prepend
===
* Location: adm/style/acp_forums.html
* Since: 3.1.2-RC1
* Purpose: Add settings to forums before rules settings section

acp_group_options_before
===
* Location: adm/style/acp_groups.html
* Since: 3.1.0-b4
* Purpose: Add addtional options to group settings (before GROUP_FOUNDER_MANAGE)

acp_group_options_after
===
* Location: adm/style/acp_groups.html
* Since: 3.1.0-b4
* Purpose: Add addtional options to group settings (after GROUP_RECEIVE_PM)

acp_main_actions_append
===
* Location: adm/style/acp_main.html
* Since: 3.1.0-a1
* Purpose: Add actions to the ACP main page below the cache purge action

acp_main_notice_after
===
* Location: adm/style/acp_main.html
* Since: 3.1.0-a1
* Purpose: Add notices or other blocks in the ACP below other configuration notices

acp_overall_footer_after
===
* Location: adm/style/overall_footer.html
* Since: 3.1.0-a1
* Purpose: Add content below the footer in the ACP

acp_overall_header_body_before
===
* Location: adm/style/overall_header.html
* Since: 3.1.0-b2
* Purpose: Add content to the header body

acp_overall_header_head_append
===
* Location: adm/style/overall_header.html
* Since: 3.1.0-a1
* Purpose: Add assets within the `<head>` tags in the ACP

acp_overall_header_stylesheets_after
===
* Location: adm/style/overall_header.html
* Since: 3.1.0-RC3
* Purpose: Add assets after stylesheets within the `<head>` tags in the ACP.
Note that INCLUDECSS will not work with this event.

acp_posting_buttons_after
===
* Locations:
    + adm/style/acp_posting_buttons.html
* Since: 3.1.0-b4
* Purpose: Add content after BBCode posting buttons in the ACP

acp_posting_buttons_before
===
* Locations:
    + adm/style/acp_posting_buttons.html
* Since: 3.1.0-b4
* Purpose: Add content before BBCode posting buttons in the ACP

acp_ranks_edit_after
===
* Locations:
    + adm/style/acp_ranks.html
* Since: 3.1.0-RC3
* Purpose: Add content after the rank details when editing a rank in the ACP

acp_ranks_edit_before
===
* Locations:
    + adm/style/acp_ranks.html
* Since: 3.1.0-RC3
* Purpose: Add content before the rank details when editing a rank in the ACP

acp_ranks_list_column_after
===
* Locations:
    + adm/style/acp_ranks.html
* Since: 3.1.0-RC3
* Purpose: Add content before the first column in the ranks list in the ACP

acp_ranks_list_column_before
===
* Locations:
    + adm/style/acp_ranks.html
* Since: 3.1.0-RC3
* Purpose: Add content after the last column (but before the action column)
in the ranks list in the ACP

acp_ranks_list_header_after
===
* Locations:
    + adm/style/acp_ranks.html
* Since: 3.1.0-RC3
* Purpose: Add content before the first header-column in the ranks list in the ACP

acp_ranks_list_header_before
===
* Locations:
    + adm/style/acp_ranks.html
* Since: 3.1.0-RC3
* Purpose: Add content after the last header-column (but before the action column)
in the ranks list in the ACP

acp_users_profile_before
===
* Locations:
    + adm/style/acp_users_profile.html
* Since: 3.1.4-RC1
* Purpose: Add content before the profile details when editing a user in the ACP

acp_users_profile_after
===
* Locations:
    + adm/style/acp_users_profile.html
* Since: 3.1.4-RC1
* Purpose: Add content after the profile details but before the custom profile fields when editing a user in the ACP

acp_users_profile_custom_after
===
* Locations:
    + adm/style/acp_users_profile.html
* Since: 3.1.4-RC1
* Purpose: Add content after the the custom profile fields when editing a user in the ACP

acp_simple_footer_after
===
* Location: adm/style/simple_footer.html
* Since: 3.1.0-a1
* Purpose: Add content below the simple footer in the ACP

acp_simple_header_body_before
===
* Location: adm/style/simple_header.html
* Since: 3.1.0-b2
* Purpose: Add content to the header body

acp_simple_header_head_append
===
* Location: adm/style/simple_header.html
* Since: 3.1.0-a1
* Purpose: Add assets within the `<head>` tags in the simple header of the ACP

acp_simple_header_stylesheets_after
===
* Location: adm/style/simple_header.html
* Since: 3.1.0-RC3
* Purpose: Add assets after stylesheets within the `<head>` tags in the simple header
of the ACP. Note that INCLUDECSS will not work with this event.

acp_users_overview_options_append
===
* Location: adm/style/acp_users_overview.html
* Since: 3.1.0-a1
* Purpose: Add options and settings on user overview page

acp_users_prefs_append
===
* Location: adm/style/acp_users_prefs.html
* Since: 3.1.0-b3
* Purpose: Add user options fieldset to the bottom of ACP users prefs settings

acp_users_prefs_prepend
===
* Location: adm/style/acp_users_prefs.html
* Since: 3.1.0-b3
* Purpose: Add user options fieldset to the top of ACP users prefs settings

acp_users_prefs_personal_append
===
* Location: adm/style/acp_users_prefs.html
* Since: 3.1.0-b3
* Purpose: Add user options fieldset to the bottom of ACP users personal prefs settings

acp_users_prefs_personal_prepend
===
* Location: adm/style/acp_users_prefs.html
* Since: 3.1.0-b3
* Purpose: Add user options fieldset to the top of ACP users personal prefs settings

acp_users_prefs_post_append
===
* Location: adm/style/acp_users_prefs.html
* Since: 3.1.0-b3
* Purpose: Add user options fieldset to the bottom of ACP users post prefs settings

acp_users_prefs_post_prepend
===
* Location: adm/style/acp_users_prefs.html
* Since: 3.1.0-b3
* Purpose: Add user options fieldset to the top of ACP users post prefs settings

acp_users_prefs_view_append
===
* Location: adm/style/acp_users_prefs.html
* Since: 3.1.0-b3
* Purpose: Add user options fieldset to the bottom of ACP users view prefs settings

acp_users_prefs_view_prepend
===
* Location: adm/style/acp_users_prefs.html
* Since: 3.1.0-b3
* Purpose: Add user options fieldset to the top of ACP users view prefs settings

forumlist_body_category_header_after
===
* Locations:
    + styles/prosilver/template/forumlist_body.html
* Since: 3.1.0-a4
* Purpose: Add content after the header of the category on the forum list.

forumlist_body_category_header_before
===
* Locations:
    + styles/prosilver/template/forumlist_body.html
* Since: 3.1.0-a4
* Purpose: Add content before the header of the category on the forum list.

forumlist_body_category_header_row_append
===
* Locations:
    + styles/prosilver/template/forumlist_body.html
* Since: 3.1.5-RC1
* Purpose: Add content after the header row of the category on the forum list.

forumlist_body_category_header_row_prepend
===
* Locations:
    + styles/prosilver/template/forumlist_body.html
* Since: 3.1.5-RC1
* Purpose: Add content before the header row of the category on the forum list.

forumlist_body_forum_row_after
===
* Locations:
    + styles/prosilver/template/forumlist_body.html
* Since: 3.1.0-RC5
* Purpose: Add content after the forum list item.

forumlist_body_forum_row_append
===
* Locations:
    + styles/prosilver/template/forumlist_body.html
* Since: 3.1.0-RC5
* Purpose: Add content at the start of the forum list item.

forumlist_body_forum_row_before
===
* Locations:
    + styles/prosilver/template/forumlist_body.html
* Since: 3.1.0-RC5
* Purpose: Add content before the forum list item.

forumlist_body_forum_row_prepend
===
* Locations:
    + styles/prosilver/template/forumlist_body.html
* Since: 3.1.0-RC5
* Purpose: Add content at the end of the forum list item.

forumlist_body_last_post_title_prepend
===
* Locations:
    + styles/prosilver/template/forumlist_body.html
* Since: 3.1.0-a1
* Purpose: Add content before the post title of the latest post in a forum on the forum list.

forumlist_body_subforums_after
===
* Locations:
    + styles/prosilver/template/forumlist_body.html
* Since: 3.1.0-a4
* Purpose: Add content after the list of subforums (if any) for each forum on the forum list.

forumlist_body_subforums_before
===
* Locations:
    + styles/prosilver/template/forumlist_body.html
* Since: 3.1.0-a4
* Purpose: Add content before the list of subforums (if any) for each forum on the forum list.

forumlist_body_last_row_after
===
* Locations:
    + styles/prosilver/template/forumlist_body.html
* Since: 3.1.0-b2
* Purpose: Add content after the very last row of the forum list.

index_body_block_birthday_append
===
* Locations:
    + styles/prosilver/template/index_body.html
* Since: 3.1.0-b3
* Purpose: Append content to the birthday list on the Board index

index_body_block_birthday_prepend
===
* Locations:
    + styles/prosilver/template/index_body.html
* Since: 3.1.0-b3
* Purpose: Prepend content to the birthday list on the Board index

index_body_block_online_append
===
* Locations:
    + styles/prosilver/template/index_body.html
* Since: 3.1.0-b3
* Purpose: Append content to the online list on the Board index

index_body_block_online_prepend
===
* Locations:
    + styles/prosilver/template/index_body.html
* Since: 3.1.0-b3
* Purpose: Prepend content to the online list on the Board index

index_body_block_stats_append
===
* Locations:
    + styles/prosilver/template/index_body.html
* Since: 3.1.0-b3
* Purpose: Append content to the statistics list on the Board index

index_body_block_stats_prepend
===
* Locations:
    + styles/prosilver/template/index_body.html
* Since: 3.1.0-b3
* Purpose: Prepend content to the statistics list on the Board index

index_body_forumlist_body_after
===
* Locations:
    + styles/prosilver/template/index_body.html
* Since: 3.1.1
* Purpose: Add content after the forum list body on the index page

index_body_markforums_after
===
* Locations:
    + styles/prosilver/template/index_body.html
* Since: 3.1.0-RC2
* Purpose: Add content after the mark-read link above the forum list on Board index

index_body_markforums_before
===
* Locations:
    + styles/prosilver/template/index_body.html
* Since: 3.1.0-RC2
* Purpose: Add content before the mark-read link above the forum list on Board index

index_body_stat_blocks_after
===
* Locations:
    + styles/prosilver/template/index_body.html
* Since: 3.1.0-b3
* Purpose: Add new statistic blocks below the Who Is Online and Board Statistics blocks

index_body_stat_blocks_before
===
* Locations:
    + styles/prosilver/template/index_body.html
* Since: 3.1.0-a1
* Purpose: Add new statistic blocks above the Who Is Online and Board Statistics blocks

mcp_ban_fields_after
===
* Locations:
    + styles/prosilver/template/mcp_ban.html
* Since: 3.1.0-RC3
* Purpose: Add additional fields to the ban form in MCP

mcp_ban_fields_before
===
* Locations:
    + styles/prosilver/template/mcp_ban.html
* Since: 3.1.0-RC3
* Purpose: Add additional fields to the ban form in MCP

mcp_ban_unban_after
===
* Locations:
    + styles/prosilver/template/mcp_ban.html
* Since: 3.1.0-RC3
* Purpose: Add additional fields to the unban form in MCP

mcp_ban_unban_before
===
* Locations:
    + styles/prosilver/template/mcp_ban.html
* Since: 3.1.0-RC3
* Purpose: Add additional fields to the unban form in MCP

mcp_front_latest_logs_after
===
* Locations:
    + styles/prosilver/template/mcp_front.html
* Since: 3.1.3-RC1
* Purpose: Add content after latest logs list

mcp_front_latest_logs_before
===
* Locations:
    + styles/prosilver/template/mcp_front.html
* Since: 3.1.3-RC1
* Purpose: Add content before latest logs list

mcp_front_latest_reported_before
===
* Locations:
    + styles/prosilver/template/mcp_front.html
* Since: 3.1.3-RC1
* Purpose: Add content before latest reported posts list

mcp_front_latest_reported_pms_before
===
* Locations:
    + styles/prosilver/template/mcp_front.html
* Since: 3.1.3-RC1
* Purpose: Add content before latest reported private messages list

mcp_front_latest_unapproved_before
===
* Locations:
    + styles/prosilver/template/mcp_front.html
* Since: 3.1.3-RC1
* Purpose: Add content before latest unapproved posts list

mcp_post_additional_options
===
* Locations:
    + styles/prosilver/template/mcp_post.html
* Since: 3.1.5-RC1
* Purpose: Add content within the list of post moderation actions

mcp_warn_post_add_warning_field_after
===
* Locations:
    + styles/prosilver/template/mcp_warn_post.html
* Since: 3.1.0-RC4
* Purpose: Add content during warning for a post - after add warning field.

mcp_warn_post_add_warning_field_before
===
* Locations:
    + styles/prosilver/template/mcp_warn_post.html
* Since: 3.1.0-RC4
* Purpose: Add content during warning for a post - before add warning field.

mcp_warn_user_add_warning_field_after
===
* Locations:
    + styles/prosilver/template/mcp_warn_user.html
* Since: 3.1.0-RC4
* Purpose: Add content during warning a user - after add warning field.

mcp_warn_user_add_warning_field_before
===
* Locations:
    + styles/prosilver/template/mcp_warn_user.html
* Since: 3.1.0-RC4
* Purpose: Add content during warning a user - before add warning field.

memberlist_body_username_append
===
* Locations:
    + styles/prosilver/template/memberlist_body.html
* Since: 3.1.0-a1
* Purpose: Add information after every username in the memberlist. Works in
all display modes (leader, group and normal memberlist).

memberlist_body_username_prepend
===
* Locations:
    + styles/prosilver/template/memberlist_body.html
* Since: 3.1.0-a1
* Purpose: Add information before every username in the memberlist. Works in
all display modes (leader, group and normal memberlist).

memberlist_search_fields_after
===
* Locations:
    + styles/prosilver/template/memberlist_search.html
* Since: 3.1.2-RC1
* Purpose: Add information after the search fields column.

memberlist_search_fields_before
===
* Locations:
    + styles/prosilver/template/memberlist_search.html
* Since: 3.1.2-RC1
* Purpose: Add information before the search fields column.

memberlist_search_sorting_options_before
===
* Locations:
    + styles/prosilver/template/memberlist_search.html
* Since: 3.1.2-RC1
* Purpose: Add information before the search sorting options field.

memberlist_view_contact_after
===
* Locations:
    + styles/prosilver/template/memberlist_view.html
* Since: 3.1.0-b2
* Purpose: Add content after the user contact part of any user profile

memberlist_view_contact_before
===
* Locations:
    + styles/prosilver/template/memberlist_view.html
* Since: 3.1.0-b2
* Purpose: Add content before the user contact part of any user profile

memberlist_view_content_append
===
* Locations:
    + styles/prosilver/template/memberlist_view.html
* Since: 3.1.0-b2
* Purpose: Add custom content to the user profile view after the main content

memberlist_view_content_prepend
===
* Locations:
    + styles/prosilver/template/memberlist_view.html
* Since: 3.1.0-b3
* Purpose: Add custom content to the user profile view before the main content

memberlist_view_user_statistics_after
===
* Locations:
    + styles/prosilver/template/memberlist_view.html
* Since: 3.1.0-a1
* Purpose: Add entries after the user statistics part of any user profile

memberlist_view_user_statistics_before
===
* Locations:
    + styles/prosilver/template/memberlist_view.html
* Since: 3.1.0-a1
* Purpose: Add entries before the user statistics part of any user profile

navbar_header_logged_out_content
===
* Locations:
    + styles/prosilver/template/navbar_header.html
* Since: 3.1.0-RC1
* Purpose: Add text and HTML in place of the username when not logged in.

navbar_header_profile_list_after
===
* Locations:
    + styles/prosilver/template/navbar_header.html
* Since: 3.1.0-RC2
* Purpose: Add links to the bottom of the profile drop-down menu in the header navbar

navbar_header_profile_list_before
===
* Locations:
    + styles/prosilver/template/navbar_header.html
* Since: 3.1.0-RC2
* Purpose: Add links to the top of the profile drop-down menu in the header navbar

navbar_header_quick_links_after
===
* Locations:
    + styles/prosilver/template/navbar_header.html
* Since: 3.1.0-RC2
* Purpose: Add links to the bottom of the quick-links drop-down menu in the header

navbar_header_quick_links_before
===
* Locations:
    + styles/prosilver/template/navbar_header.html
* Since: 3.1.0-RC2
* Purpose: Add links to the top of the quick-links drop-down menu in the header

navbar_header_username_append
===
* Locations:
    + styles/prosilver/template/navbar_header.html
* Since: 3.1.0-RC1
* Purpose: Add text and HTMl after the username shown in the navbar.

navbar_header_username_prepend
===
* Locations:
    + styles/prosilver/template/navbar_header.html
* Since: 3.1.0-RC1
* Purpose: Add text and HTMl before the username shown in the navbar.

overall_footer_after
===
* Locations:
    + styles/prosilver/template/overall_footer.html
* Since: 3.1.0-a1
* Purpose: Add content at the end of the file, directly prior to the `</body>` tag

overall_footer_body_after
===
* Locations:
    + styles/prosilver/template/overall_footer.html
* Since: 3.1.3-RC1
* Purpose: Add content before the `</body>` tag but after the $SCRIPTS var, i.e. after the js scripts have been loaded

overall_footer_breadcrumb_append
===
* Locations:
    + styles/prosilver/template/navbar_footer.html
* Since: 3.1.0-a1
* Purpose: Add links to the list of breadcrumbs in the footer

overall_footer_breadcrumb_prepend
===
* Locations:
    + styles/prosilver/template/navbar_footer.html
* Since: 3.1.0-RC3
* Purpose: Add links to the list of breadcrumbs in the footer (after site-home, but before board-index)

overall_footer_content_after
===
* Locations:
    + styles/prosilver/template/overall_footer.html
* Since: 3.1.0-a3
* Purpose: Add content on all pages after the main content, before the footer

overall_footer_copyright_append
===
* Locations:
    + styles/prosilver/template/overall_footer.html
* Since: 3.1.0-a1
* Purpose: Add content after the copyright line (no new line by default), before the ACP link

overall_footer_copyright_prepend
===
* Locations:
    + styles/prosilver/template/overall_footer.html
* Since: 3.1.0-a1
* Purpose: Add content before the copyright line

overall_footer_page_body_after
===
* Locations:
    + styles/prosilver/template/overall_footer.html
* Since: 3.1.0-b3
* Purpose: Add content after the page-body, but before the footer

overall_footer_teamlink_after
===
* Locations:
    + styles/prosilver/template/navbar_footer.html
* Since: 3.1.0-b3
* Purpose: Add contents after the team-link in the footer

overall_footer_teamlink_before
===
* Locations:
    + styles/prosilver/template/navbar_footer.html
* Since: 3.1.0-b3
* Purpose: Add contents before the team-link in the footer

overall_footer_timezone_after
===
* Locations:
    + styles/prosilver/template/navbar_footer.html
* Since: 3.1.0-b3
* Purpose: Add content to the navbar in the page footer, after "Timezone"

overall_footer_timezone_before
===
* Locations:
    + styles/prosilver/template/navbar_footer.html
* Since: 3.1.0-b3
* Purpose: Add content to the navbar in the page footer, before "Timezone"

overall_header_body_before
===
* Locations:
    + styles/prosilver/template/overall_header.html
* Since: 3.1.0-b2
* Purpose: Add content to the header body

overall_header_breadcrumb_append
===
* Locations:
    + styles/prosilver/template/navbar_header.html
* Since: 3.1.0-a1
* Purpose: Add links to the list of breadcrumbs in the header

overall_header_breadcrumb_prepend
===
* Locations:
    + styles/prosilver/template/navbar_header.html
* Since: 3.1.0-RC3
* Purpose: Add links to the list of breadcrumbs in the header (after site-home, but before board-index)

overall_header_breadcrumbs_after
===
* Locations:
    + styles/prosilver/template/navbar_header.html
* Since: 3.1.0-RC3
* Purpose: Add content after the breadcrumbs (outside of the breadcrumbs container)

overall_header_breadcrumbs_before
===
* Locations:
    + styles/prosilver/template/navbar_header.html
* Since: 3.1.0-RC3
* Purpose: Add content before the breadcrumbs (outside of the breadcrumbs container)

overall_header_content_before
===
* Locations:
    + styles/prosilver/template/overall_header.html
* Since: 3.1.0-a3
* Purpose: Add content on all pages before the main content, after the header

overall_header_head_append
===
* Locations:
    + styles/prosilver/template/overall_header.html
* Since: 3.1.0-a1
* Purpose: Add asset calls directly before the `</head>` tag

overall_header_navbar_before
===
* Locations:
    + styles/prosilver/template/overall_header.html
* Since: 3.1.4-RC1
* Purpose: Add content before the navigation bar

overall_header_navigation_append
===
* Locations:
    + styles/prosilver/template/navbar_header.html
* Since: 3.1.0-a1
* Purpose: Add links after the navigation links in the header

overall_header_navigation_prepend
===
* Locations:
    + styles/prosilver/template/navbar_header.html
* Since: 3.1.0-a1
* Purpose: Add links before the navigation links in the header

overall_header_navlink_append
===
* Locations:
    + styles/prosilver/template/navbar_header.html
* Since: 3.1.0-b3
* Purpose: Add content after each individual navlink (breadcrumb)

overall_header_navlink_prepend
===
* Locations:
    + styles/prosilver/template/navbar_header.html
* Since: 3.1.0-b3
* Purpose: Add content before each individual navlink (breadcrumb)

overall_header_page_body_before
===
* Locations:
    + styles/prosilver/template/overall_header.html
* Since: 3.1.0-b3
* Purpose: Add content after the page-header, but before the page-body

overall_header_searchbox_before
===
* Locations:
    + styles/prosilver/template/overall_header.html
* Since: 3.1.4-RC1
* Purpose: Add content before the search box in the header

overall_header_stylesheets_after
===
* Locations:
    + styles/prosilver/template/overall_header.html
* Since: 3.1.0-RC3
* Purpose: Add asset calls after stylesheets within the `</head>` tag.
Note that INCLUDECSS will not work with this event.

posting_editor_bbcode_status_after
===
* Locations:
    + styles/prosilver/template/posting_editor.html
* Since: 3.1.4-RC1
* Purpose: Add content after bbcode status

posting_editor_buttons_after
===
* Locations:
    + styles/prosilver/template/posting_buttons.html
* Since: 3.1.0-a3
* Purpose: Add content after the BBCode posting buttons

posting_editor_buttons_before
===
* Locations:
    + styles/prosilver/template/posting_buttons.html
* Since: 3.1.0-a3
* Purpose: Add content before the BBCode posting buttons

posting_editor_buttons_custom_tags_before
===
* Locations:
    + styles/prosilver/template/posting_buttons.html
* Since: 3.1.2-RC1
* Purpose: Add content inside the BBCode posting buttons and before the customs BBCode

posting_editor_message_after
===
* Locations:
    + styles/prosilver/template/posting_editor.html
* Since: 3.1.0-a2
* Purpose: Add field (e.g. textbox) to the posting screen after the message

posting_editor_message_before
===
* Locations:
    + styles/prosilver/template/posting_editor.html
* Since: 3.1.0-a2
* Purpose: Add field (e.g. textbox) to the posting screen before the message

posting_editor_options_prepend
===
* Locations:
    + styles/prosilver/template/posting_editor.html
* Since: 3.1.0-a1
* Purpose: Add posting options on the posting screen

posting_editor_smilies_after
===
* Locations:
    + styles/prosilver/template/posting_editor.html
* Since: 3.1.4-RC1
* Purpose: Add content after smilies

posting_editor_smilies_before
===
* Locations:
    + styles/prosilver/template/posting_editor.html
* Since: 3.1.4-RC1
* Purpose: Add content before the smilies

posting_editor_subject_after
===
* Locations:
    + styles/prosilver/template/posting_editor.html
* Since: 3.1.0-a2
* Purpose: Add field (e.g. textbox) to the posting screen after the subject

posting_editor_subject_before
===
* Locations:
    + styles/prosilver/template/posting_editor.html
* Since: 3.1.0-a2
* Purpose: Add field (e.g. textbox) to the posting screen before the subject

posting_pm_header_find_username_after
===
* Locations:
    + styles/prosilver/template/posting_pm_header.html
* Since: 3.1.0-RC4
* Purpose: Add content after the find username link on composing pm

posting_pm_header_find_username_before
===
* Locations:
    + styles/prosilver/template/posting_pm_header.html
* Since: 3.1.0-RC4
* Purpose: Add content before the find username link on composing pm

posting_pm_layout_include_pm_header_after
===
* Locations:
    + styles/prosilver/template/posting_pm_layout.html
* Since: 3.1.4-RC1
* Purpose: Add content after the include of posting_pm_header.html

posting_pm_layout_include_pm_header_before
===
* Locations:
    + styles/prosilver/template/posting_pm_layout.html
* Since: 3.1.4-RC1
* Purpose: Add content before the include of posting_pm_header.html

posting_poll_body_options_after
===
* Locations:
    + styles/prosilver/template/posting_poll_body.html
* Since: 3.1.4-RC1
* Purpose: Add content after the poll options on creating a poll

quickreply_editor_panel_after
===
* Locations:
    + styles/prosilver/template/quickreply_editor.html
* Since: 3.1.0-b2
* Purpose: Add content after the quick reply panel (but inside the form)

quickreply_editor_panel_before
===
* Locations:
    + styles/prosilver/template/quickreply_editor.html
* Since: 3.1.0-b2
* Purpose: Add content before the quick reply panel (but inside the form)

quickreply_editor_message_after
===
* Locations:
    + styles/prosilver/template/quickreply_editor.html
* Since: 3.1.0-a4
* Purpose: Add content after the quick reply textbox

quickreply_editor_message_before
===
* Locations:
    + styles/prosilver/template/quickreply_editor.html
* Since: 3.1.0-a4
* Purpose: Add content before the quick reply textbox

search_body_form_before
===
* Locations:
    + styles/prosilver/template/search_body.html
* Since: 3.1.5-RC1
* Purpose: Add content before the search form

search_results_header_after
===
* Locations:
    + styles/prosilver/template/search_results.html
* Since: 3.1.4-RC1
* Purpose: Add content after the header of the search results

search_results_header_before
===
* Locations:
    + styles/prosilver/template/search_results.html
* Since: 3.1.4-RC1
* Purpose: Add content before the header of the search results.

search_results_post_after
===
* Locations:
    + styles/prosilver/template/search_results.html
* Since: 3.1.0-b3
* Purpose: Add data after search result posts

search_results_post_before
===
* Locations:
    + styles/prosilver/template/search_results.html
* Since: 3.1.0-b3
* Purpose: Add data before search result posts

search_results_postprofile_after
===
* Locations:
    + styles/prosilver/template/search_results.html
* Since: 3.1.0-b3
* Purpose: Add content after the post author and stats in search results (posts view mode)

search_results_postprofile_before
===
* Locations:
    + styles/prosilver/template/search_results.html
* Since: 3.1.0-b3
* Purpose: Add content directly before the post author in search results (posts view mode)

search_results_searchbox_after
===
* Locations:
    + styles/prosilver/template/search_results.html
* Since: 3.1.4-RC1
* Purpose: Add content right after the searchbox of the search results.

search_results_topic_after
===
* Locations:
    + styles/prosilver/template/search_results.html
* Since: 3.1.0-b4
* Purpose: Add data after search result topics

search_results_topic_before
===
* Locations:
    + styles/prosilver/template/search_results.html
* Since: 3.1.0-b4
* Purpose: Add data before search result topics

simple_footer_after
===
* Locations:
    + styles/prosilver/template/simple_footer.html
* Since: 3.1.0-a1
* Purpose: Add content directly prior to the `</body>` tag of the simple footer

simple_header_body_before
===
* Locations:
    + styles/prosilver/template/simple_header.html
* Since: 3.1.0-b2
* Purpose: Add content to the header body

simple_header_head_append
===
* Locations:
    + styles/prosilver/template/simple_header.html
* Since: 3.1.0-b4
* Purpose: Add asset calls directly before the `</head>` tag

simple_header_stylesheets_after
===
* Locations:
    + styles/prosilver/template/simple_header.html
* Since: 3.1.0-RC3
* Purpose: Add asset calls after stylesheets within the `</head>` tag.
Note that INCLUDECSS will not work with this event.

topiclist_row_prepend
===
* Locations:
    + styles/prosilver/template/search_results.html
    + styles/prosilver/template/viewforum_body.html
* Since: 3.1.0-a1
* Purpose: Add content into topic rows (inside the elements containing topic titles)

topiclist_row_append
===
* Locations:
    + styles/prosilver/template/search_results.html
    + styles/prosilver/template/viewforum_body.html
* Since: 3.1.0-a1
* Purpose: Add content into topic rows (inside the elements containing topic titles)

ucp_agreement_terms_after
===
* Locations:
    + styles/prosilver/template/ucp_agreement.html
* Since: 3.1.0-b3
* Purpose: Add content after the terms of agreement text at user registration

ucp_agreement_terms_before
===
* Locations:
    + styles/prosilver/template/ucp_agreement.html
* Since: 3.1.0-b3
* Purpose: Add content before the terms of agreement text at user registration

ucp_pm_viewmessage_avatar_after
===
* Locations:
    + styles/prosilver/template/ucp_pm_viewmessage.html
* Since: 3.1.0-RC3
* Purpose: Add content right after the avatar when viewing a private message

ucp_pm_viewmessage_avatar_before
===
* Locations:
    + styles/prosilver/template/ucp_pm_viewmessage.html
* Since: 3.1.0-RC3
* Purpose: Add content right before the avatar when viewing a private message

ucp_pm_viewmessage_contact_fields_after
===
* Locations:
    + styles/prosilver/template/ucp_pm_viewmessage.html
* Since: 3.1.0-b1
* Purpose: Add data after the contact fields on the user profile when viewing
a private message

ucp_pm_viewmessage_contact_fields_before
===
* Locations:
    + styles/prosilver/template/ucp_pm_viewmessage.html
* Since: 3.1.0-b1
* Purpose: Add data before the contact fields on the user profile when viewing
a private message

ucp_pm_viewmessage_custom_fields_after
===
* Locations:
    + styles/prosilver/template/ucp_pm_viewmessage.html
* Since: 3.1.0-a1
* Purpose: Add data after the custom fields on the user profile when viewing
a private message

ucp_pm_viewmessage_custom_fields_before
===
* Locations:
    + styles/prosilver/template/ucp_pm_viewmessage.html
* Since: 3.1.0-a1
* Purpose: Add data before the custom fields on the user profile when viewing
a private message

ucp_pm_viewmessage_post_buttons_after
===
* Locations:
    + styles/prosilver/template/ucp_pm_viewmessage.html
* Since: 3.1.0-RC3
* Purpose: Add post button to private messages (next to edit, quote etc), at
the end of the list.

ucp_pm_viewmessage_post_buttons_before
===
* Locations:
    + styles/prosilver/template/ucp_pm_viewmessage.html
* Since: 3.1.0-RC3
* Purpose: Add post button to private messages (next to edit, quote etc), at
the start of the list.

ucp_pm_viewmessage_print_head_append
===
* Locations:
    + styles/prosilver/template/ucp_pm_viewmessage_print.html
* Since: 3.1.0-a1
* Purpose: Add asset calls directly before the `</head>` tag of the Print PM screen

ucp_prefs_personal_prepend
===
* Locations:
    + styles/prosilver/template/ucp_prefs_personal.html
* Since: 3.1.0-a1
* Purpose: Add user options to the top of the Edit Global Settings block

ucp_prefs_personal_append
===
* Locations:
    + styles/prosilver/template/ucp_prefs_personal.html
* Since: 3.1.0-a1
* Purpose: Add user options to the bottom of the Edit Global Settings block

ucp_prefs_post_prepend
===
* Locations:
    + styles/prosilver/template/ucp_prefs_post.html
* Since: 3.1.0-a1
* Purpose: Add user options to the top of the Edit Posting Defaults block

ucp_prefs_post_append
===
* Locations:
    + styles/prosilver/template/ucp_prefs_post.html
* Since: 3.1.0-a1
* Purpose: Add user options to the bottom of the Edit Posting Defaults block

ucp_prefs_view_radio_buttons_prepend
===
* Locations:
    + styles/prosilver/template/ucp_prefs_view.html
* Since: 3.1.0-a1
* Purpose: Add options to the top of the radio buttons block of the Edit
Display Options screen

ucp_prefs_view_radio_buttons_append
===
* Locations:
    + styles/prosilver/template/ucp_prefs_view.html
* Since: 3.1.0-a1
* Purpose: Add options to the bottom of the radio buttons block of the Edit
Display Options screen

ucp_prefs_view_select_menu_prepend
===
* Locations:
    + styles/prosilver/template/ucp_prefs_view.html
* Since: 3.1.0-a1
* Purpose: Add options to the top of the drop-down lists block of the Edit
Display Options screen

ucp_prefs_view_select_menu_append
===
* Locations:
    + styles/prosilver/template/ucp_prefs_view.html
* Since: 3.1.0-a1
* Purpose: Add options to the bottom of the drop-down lists block of the Edit
Display Options screen

ucp_profile_profile_info_before
===
* Locations:
    + styles/prosilver/template/ucp_profile_profile_info.html
* Since: 3.1.4-RC1
* Purpose: Add options in profile page fieldset - before jabber field.

ucp_profile_profile_info_after
===
* Locations:
    + styles/prosilver/template/ucp_profile_profile_info.html
* Since: 3.1.4-RC1
* Purpose: Add options in profile page fieldset - after custom profile fields.

ucp_profile_register_details_before
===
* Locations:
    + styles/prosilver/template/ucp_profile_reg_details.html
* Since: 3.1.4-RC1
* Purpose: Add options in profile page fieldset - before first field.

ucp_profile_register_details_after
===
* Locations:
    + styles/prosilver/template/ucp_profile_reg_details.html
* Since: 3.1.4-RC1
* Purpose: Add options in profile page fieldset - after confirm password field.

ucp_register_credentials_before
===
* Locations:
    + styles/prosilver/template/ucp_register.html
* Since: 3.1.0-b5
* Purpose: Add options in registration page fieldset - before first field.

ucp_register_profile_fields_after
===
* Locations:
    + styles/prosilver/template/ucp_register.html
* Since: 3.1.0-b5
* Purpose: Add options in registration page fieldset - after last field.

ucp_register_credentials_after
===
* Locations:
    + styles/prosilver/template/ucp_register.html
* Since: 3.1.0-b5
* Purpose: Add options in registration page fieldset - after password field.

ucp_register_options_before
===
* Locations:
    + styles/prosilver/template/ucp_register.html
* Since: 3.1.0-b5
* Purpose: Add options in registration page fieldset - before language selector.

ucp_register_profile_fields_before
===
* Locations:
    + styles/prosilver/template/ucp_register.html
* Since: 3.1.0-b5
* Purpose: Add options in registration page fieldset - before profile fields.

ucp_friend_list_before
===
* Locations:
    + styles/prosilver/template/ucp_zebra_friends.html
* Since: 3.1.0-a4
* Purpose: Add optional elements before list of friends in UCP

ucp_friend_list_after
===
* Locations:
    + styles/prosilver/template/ucp_zebra_friends.html
* Since: 3.1.0-a4
* Purpose: Add optional elements after list of friends in UCP

viewforum_buttons_bottom_before
===
* Locations:
    + styles/prosilver/template/viewforum_body.html
* Since: 3.1.0-RC5
* Purpose: Add buttons before New Topic button on the bottom of the topic's list

viewforum_buttons_bottom_after
===
* Locations:
    + styles/prosilver/template/viewforum_body.html
* Since: 3.1.0-RC5
* Purpose: Add buttons after New Topic button on the bottom of the topic's list

viewforum_buttons_top_before
===
* Locations:
    + styles/prosilver/template/viewforum_body.html
* Since: 3.1.0-RC5
* Purpose: Add buttons before New Topic button on the top of the topic's list

viewforum_buttons_top_after
===
* Locations:
    + styles/prosilver/template/viewforum_body.html
* Since: 3.1.0-RC5
* Purpose: Add buttons after New Topic button on the top of the topic's list

viewtopic_buttons_bottom_before
===
* Locations:
    + styles/prosilver/template/viewtopic_body.html
* Since: 3.1.0-RC5
* Purpose: Add buttons before Post Reply button on the bottom of the posts's list

viewtopic_buttons_bottom_after
===
* Locations:
    + styles/prosilver/template/viewtopic_body.html
* Since: 3.1.0-RC5
* Purpose: Add buttons after Post Reply button on the bottom of the posts's list

viewtopic_buttons_top_before
===
* Locations:
    + styles/prosilver/template/viewtopic_body.html
* Since: 3.1.0-RC5
* Purpose: Add buttons before Post Reply button on the top of the posts's list

viewtopic_buttons_top_after
===
* Locations:
    + styles/prosilver/template/viewtopic_body.html
* Since: 3.1.0-RC5
* Purpose: Add buttons after Post Reply button on the top of the posts's list

viewforum_forum_name_append
===
* Locations:
    + styles/prosilver/template/viewforum_body.html
* Since: 3.1.0-b3
* Purpose: Add content directly after the forum name link on the View forum screen

viewforum_forum_name_prepend
===
* Locations:
    + styles/prosilver/template/viewforum_body.html
* Since: 3.1.0-b3
* Purpose: Add content directly before the forum name link on the View forum screen

viewforum_forum_title_after
===
* Locations:
    + styles/prosilver/template/viewforum_body.html
* Since: 3.1.5-RC1
* Purpose: Add content directly after the forum title on the View forum screen

viewforum_forum_title_before
===
* Locations:
    + styles/prosilver/template/viewforum_body.html
* Since: 3.1.5-RC1
* Purpose: Add content directly before the forum title on the View forum screen

viewtopic_print_head_append
===
* Locations:
    + styles/prosilver/template/viewtopic_print.html
* Since: 3.1.0-a1
* Purpose: Add asset calls directly before the `</head>` tag of the Print Topic screen

viewtopic_body_pagination_top_after
===
* Locations:
    + styles/prosilver/template/viewtopic_body.html
* Since: 3.1.4-RC1
* Purpose: Add content after the pagination at top

viewtopic_body_avatar_after
===
* Locations:
    + styles/prosilver/template/viewtopic_body.html
* Since: 3.1.0-RC3
* Purpose: Add content right after the avatar when viewing topics

viewtopic_body_avatar_before
===
* Locations:
    + styles/prosilver/template/viewtopic_body.html
* Since: 3.1.0-RC3
* Purpose: Add content right before the avatar when viewing topics

viewtopic_body_contact_fields_after
===
* Locations:
    + styles/prosilver/template/viewtopic_body.html
* Since: 3.1.0-b3
* Purpose: Add data after the contact fields on the user profile when viewing
a post

viewtopic_body_contact_fields_before
===
* Locations:
    + styles/prosilver/template/viewtopic_body.html
* Since: 3.1.0-b3
* Purpose: Add data before the contact fields on the user profile when viewing
a post

viewtopic_body_footer_before
===
* Locations:
    + styles/prosilver/template/viewtopic_body.html
* Since: 3.1.0-a1
* Purpose: Add content to the bottom of the View topic screen below the posts
and quick reply, directly before the jumpbox in Prosilver.

viewtopic_body_poll_option_after
===
* Locations:
    + styles/prosilver/template/viewtopic_body.html
* Since: 3.1.0-b3
* Purpose: Add content after the poll option
the list.

viewtopic_body_poll_option_before
===
* Locations:
    + styles/prosilver/template/viewtopic_body.html
* Since: 3.1.0-b3
* Purpose: Add content before the poll option
the list.

viewtopic_body_poll_question_append
===
* Locations:
    + styles/prosilver/template/viewtopic_body.html
* Since: 3.1.0-b3
* Purpose: Add content directly after the poll question on the View topic screen

viewtopic_body_poll_question_prepend
===
* Locations:
    + styles/prosilver/template/viewtopic_body.html
* Since: 3.1.0-b3
* Purpose: Add content directly before the poll question on the View topic screen

viewtopic_body_post_author_after
===
* Locations:
    + styles/prosilver/template/viewtopic_body.html
* Since: 3.1.3-RC1
* Purpose: Add content directly after the post author on the view topic screen

viewtopic_body_post_author_before
===
* Locations:
    + styles/prosilver/template/viewtopic_body.html
* Since: 3.1.3-RC1
* Purpose: Add content directly before the post author on the view topic screen

viewtopic_body_post_buttons_after
===
* Locations:
    + styles/prosilver/template/viewtopic_body.html
* Since: 3.1.0-a1
* Purpose: Add post button to posts (next to edit, quote etc), at the end of
the list.

viewtopic_body_post_buttons_before
===
* Locations:
    + styles/prosilver/template/viewtopic_body.html
* Since: 3.1.0-a1
* Purpose: Add post button to posts (next to edit, quote etc), at the start of
the list.

viewtopic_body_post_buttons_list_after
===
* Locations:
    + styles/prosilver/template/viewtopic_body.html
* Since: 3.1.5-RC1
* Purpose: Add post button custom list to posts (next to edit, quote etc),
after the original list.

viewtopic_body_post_buttons_list_before
===
* Locations:
    + styles/prosilver/template/viewtopic_body.html
* Since: 3.1.5-RC1
* Purpose: Add post button custom list to posts (next to edit, quote etc),
before the original list.

viewtopic_body_postrow_custom_fields_after
===
* Locations:
    + styles/prosilver/template/viewtopic_body.html
* Since: 3.1.0-a1
* Purpose: Add data after the custom fields on the user profile when viewing
a post

viewtopic_body_postrow_custom_fields_before
===
* Locations:
    + styles/prosilver/template/viewtopic_body.html
* Since: 3.1.0-a1
* Purpose: Add data before the custom fields on the user profile when viewing
a post

viewtopic_body_postrow_post_after
===
* Locations:
    + styles/prosilver/template/viewtopic_body.html
* Since: 3.1.0-a4
* Purpose: Add data after posts

viewtopic_body_postrow_post_before
===
* Locations:
    + styles/prosilver/template/viewtopic_body.html
* Since: 3.1.0-a4
* Purpose: Add data before posts

viewtopic_body_postrow_post_content_footer
===
* Locations:
    + styles/prosilver/template/viewtopic_body.html
* Since: 3.1.0-RC4
* Purpose: Add data at the end of the posts.

viewtopic_body_postrow_post_details_after
===
* Locations:
    + styles/prosilver/template/viewtopic_body.html
* Since: 3.1.4-RC1
* Purpose: Add content after the post details

viewtopic_body_postrow_post_details_before
===
* Locations:
    + styles/prosilver/template/viewtopic_body.html
* Since: 3.1.4-RC1
* Purpose: Add content before the post details

viewtopic_body_postrow_post_notices_after
===
* Locations:
    + styles/prosilver/template/viewtopic_body.html
* Since: 3.1.0-b2
* Purpose: Add posts specific custom notices at the notices bottom.

viewtopic_body_postrow_post_notices_before
===
* Locations:
    + styles/prosilver/template/viewtopic_body.html
* Since: 3.1.0-b2
* Purpose: Add posts specific custom notices at the notices top.

viewtopic_body_topic_actions_before
===
* Locations:
    + styles/prosilver/template/viewtopic_body.html
* Since: 3.1.0-a4
* Purpose: Add data before the topic actions buttons (after the posts sorting options)

viewtopic_topic_title_append
===
* Locations:
    + styles/prosilver/template/viewtopic_body.html
* Since: 3.1.0-b3
* Purpose: Add content directly after the topic title link on the View topic screen

viewtopic_topic_title_prepend
===
* Locations:
    + styles/prosilver/template/viewtopic_body.html
* Since: 3.1.0-a1
* Purpose: Add content directly before the topic title link on the View topic screen

viewtopic_topic_tools_after
===
* Locations:
    + styles/prosilver/template/viewtopic_topic_tools.html
* Since: 3.1.0-a3
* Purpose: Add a new topic tool after the rest of the existing ones

viewtopic_topic_tools_before
===
* Locations:
    + styles/prosilver/template/viewtopic_topic_tools.html
* Since: 3.1.0-a3
* Purpose: Add a new topic tool before the rest of the existing ones
